Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions
cls_pointer_stack.c File Reference
`#include "ffitest.h"`

Go to the source code of this file.

## Functions
long | dummy_func (long double a1, char b1, long double a2, char b2, long double a3, char b3, long double a4, char b4)
void * | cls_pointer_fn2 (void *a1, void *a2)
void * | cls_pointer_fn1 (void *a1, void *a2)
int | main (void)

## Function Documentation

## ◆ cls_pointer_fn1()

void* cls_pointer_fn1 | ( | void * | a1,
|  | void * | a2
| ) |  |

Definition at line 46 of file cls_pointer_stack.c.

Referenced by main().

## ◆ cls_pointer_fn2()

void* cls_pointer_fn2 | ( | void * | a1,
|  | void * | a2
| ) |  |

Definition at line 21 of file cls_pointer_stack.c.

## ◆ dummy_func()

long dummy_func | ( | long double | a1,
|  | char | b1,
|  | long double | a2,
|  | char | b2,
|  | long double | a3,
|  | char | b3,
|  | long double | a4,
|  | char | b4
| ) |  |

Definition at line 12 of file cls_pointer_stack.c.

## ◆ main()

int main | ( | void |  | ) |

Definition at line 95 of file cls_pointer_stack.c.

References CHECK, cls_pointer_fn1(), ffi_call(), FFI_DEFAULT_ABI, ffi_prep_cif(), ffi_prep_closure_loc(), NULL, and printf().